%{?nodejs_find_provides_and_requires}

%global packagename defence
%global enable_tests 1

Name:		nodejs-defence
Version:	1.0.4
Release:	1%{?dist}
Summary:	Extract fenced code from CommonMark documents

License:	MIT
URL:		https://github.com/kemitchell/defence.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(commonmark)
BuildRequires:	npm(replace-require-self)
%endif

Requires:	nodejs

%description
Extract fenced code from CommonMark documents


%prep
%setup -q -n package

%nodejs_fixdep commonmark '^0.22.0'


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
sed "1d;x" README.md | replace-require-self | node
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Dec 24 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.4-1
- Update to upstream 1.0.4 release

* Wed Dec 16 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-2
- Update dependency version for npm(commonmark)

* Tue Dec 15 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-1
- Initial packaging
